package edu.chl.hajo.monopoly.core;

/**
 Here it's possible to add buildings

 @author hajo
 */
public class Street extends Space implements IBuildable {

    private Player owner = Player.NONE;
    private int rent;
    
    public Street(String name, int rent) {
        super(name);
        this.rent = rent;
    }

    @Override
    public Player getOwner() {
        return owner;
    }

    @Override
    public void setOwner(Player owner) {
        this.owner = owner;
    }

    @Override
    public int getRent() {
       return rent;
    }
    

}
