package edu.chl.hajo.monopoly.view;

import edu.chl.hajo.monopoly.core.Player;
import edu.chl.hajo.monopoly.service.file.FileHandler;
import edu.chl.hajo.monopoly.service.file.IFileHandler;
import java.awt.Image;
import java.io.IOException;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**

 @author hajo
 */
public class GUIResources {

    // Map to look up icons
    private static final Map<String, Image> playerImage = new HashMap<>();

    // TODO timing ...is GameOptions Ready???
    public static void init(IFileHandler fh, List<String> playerNames) throws IOException {
        List<String> fileNames = fh.getDirectoryFileList("icon");
        int i = 0;
        for (String s : playerNames) {
            playerImage.put(s, fh.getIcon(fileNames.get(i)));
            i++;
        }
    }

    public static Image getPieceIcon(String playerName) {
        return playerImage.get(playerName);
    }

   /* public static Image getBackground() throws IOException {
        IFileHandler fh = FileHandler.getFileHandler();
        return fh.getImage("background/monopoly_original.jpg");
    }*/

}
