package edu.chl.hajo.td.core;

import java.util.ArrayList;
import java.util.List;

/**
 * Building the model
 * @author hajo
 */
public final class TDFactory {

    public static TowerDefence getTowerDefence() {
        List<Path.Position> pos = new ArrayList<>();
        // Strait line
        for (int x = 0; x < 200; x++) {
            pos.add(new Path.Position(x, 200));
        }
        Monster m = new Monster(new Path(pos), 100);
        List<Monster> monsters = new ArrayList<>();
        monsters.add(m);
        return new TowerDefence(null, monsters);
    }

}
