package test;

import com.google.inject.Inject;
import com.google.inject.Singleton;

/**
 * Possible inject a factory
 * @author hajo
 *
 */
@Singleton
public class Factory {
	
	// These will be the same for every
	// instance if the Factory
	@Inject Dummy dummy;
	@Inject Mobile mobile;
	@Inject Laptop laptop;
	
	public Factory(){
		 System.out.println("Alive " + this);
	}
	
	public Dummy getDummy() {
		return dummy;
	}
	public IComm getMobile() {
		return mobile;
	}
	public IComm getLaptop() {
		return laptop;
	}
}
