package test;

import javax.annotation.PostConstruct;
import javax.inject.Inject;

/**
 * Basic injections
 * @author hajo
 *
 */

public class Person {
		
	// One way to do it, see below
	@Inject 
	private ShoppingCart shopingCart;
	@Inject
	private Dummy dummy;
	
	public Person() {
		System.out.println("Alive " +  this);
		// Bad, injection runs after constructor 
		// System.out.println("ShoppingCart is " +  shopingCart);
	}
	
	// This is run after injections
	@PostConstruct
	public void post() {
		System.out.println("shopingCart is " +  shopingCart);
		System.out.println("dummy is " +  dummy);
	}
	
	public ShoppingCart getShopingCart() {
		return shopingCart;
	}
}
